Appletouch touchpad driver produces jumpy two-fingered scrolling

Bug #381884 reported by Richard Cavell on 2009-05-30
88
This bug affects 14 people
Affects Status Importance Assigned to Milestone
Mactel Support
Undecided
stayros
xserver-xorg-input-synaptics (Ubuntu)
Low
Unassigned
Nominated for Jaunty by Bruno Beaufils
Nominated for Karmic by Bruno Beaufils

Bug Description

Binary package hint: xserver-xorg-input-synaptics

My system is: Linux richard-laptop 2.6.28-11-generic #42-Ubuntu SMP Fri Apr 17 01:58:03 UTC 2009 x86_64 GNU/Linux. However, this issue applies to at least Intrepid and Jaunty, 32 and 64 bit, running on Apple Mac hardware that uses an Appletouch touchpad. It has also been reported in the Gentoo and Debian forums.

From what I can find on the Net, the Appletouch touchpad was first used in February 2005 for the G4 aluminium PowerBook, and last used for the Macbook Pro in its 3rd generation, then 4th generation Intel Macbook in early 2008.

The issue is with two-fingered scrolling. The Appletouch features the ability to detect two (or three) touches. OS X uses this feature to enable scrolling, similar to a scrollwheel on a mouse.

The synaptics driver causes the simulated scrollwheel to start moving as soon as one places a second finger on the touchpad. That is to say, placing a second finger causes the trackpad driver to deliver scrolling signals, which means that attempts at vertical scrolling feels jumpy, or over sensitive.

There was an update to the OS X driver that fixed this situation for Apple. I guess that it detects the second finger and programmatically ignores the first few scrollticks, thereby 'deadening' the output. This is what we need.

The synaptics driver allows for some modification, but not for multitouch input. This needs to be fixed at source code level.

Richard

Ricky Campbell (cyberdork33) wrote :

I believe that the 4th gen Macbook Pro has the newer touchpad hardware... bcm5974 driver.

Either way, this is likely a change to synaptics, not to the kernel driver, appletouch.

description: updated
Kirby (usawebbox) wrote :

The jump happens during the context switch from one-finger pointing to two-finger pointing. The reference point changes from the location of the one finger to mid-way between the two fingers. The arrow should not move when the second finger is added or removed. That's why it scrolls, even though the user hasn't moved.

Just to be clear that it's not a problem of sensitivity. The input reference point should be reset without moving the output point, when entering and leaving two-finger mode.

Richard Cavell (richardcavell) wrote :

Kirby,

I've done some informal experiments here and I believe that you're spot on. It makes a lot of sense. This has to be fixed at source-code level. Can we get someone to fix it?

Richard

Kirby (usawebbox) wrote :

The two-finger problem is just as bad with scrolling turned off. Two-fingers + click is the default way of getting a right click on this one button touchpad. The jumping pointer makes that unusable.

Is there something I can add to get this bug confirmed?

Richard Cavell (richardcavell) wrote :

Two users independently confirm, and Ubuntu Forums have many reports.

Changed in xserver-xorg-input-synaptics (Ubuntu):
status: New → Confirmed
nnutter (nnutter) wrote :

I just wanted to give a use-case/scenario where this is disruptive.

First of all, keep in mind that all Apple laptops only have one button so the only option besides using two-finger click right clicks is to bind keys with xmodmap (kind of an annoying necessity and not good for user experience).

Now, the scenario. There are two major cases where this can just drive you crazy. Trying to right-click a link on a webpage, e.g. to save to disk or open or copy link location. The other really annoying situation is when trying to right-click a misspelled word for spell check suggestions.

This is a major annoyance, it leads to a very frustrating experience and while it does not stop my system from being usable it is incredibly aggravating.

I think the key points for solving this are:
1) "The jump happens during the context switch from one-finger pointing to two-finger pointing." --Kirby
2) "There was an update to the OS X driver that fixed this situation for Apple. I guess that it detects the second finger and programmatically ignores the first few scrollticks, thereby 'deadening' the output. This is what we need." -- Richard Cavell

Bryce Harrington (bryce) on 2009-09-02
tags: added: jaunty
Blaine (frikker) wrote :

Hey everyone.

I have had success with changing the input.x11_options.VertScrollDelta config value to a higher value (default=20). This is in the file /etc/hal/fdi/policy/appletouch.fdi

* If you want to use 2-finger scrolling, and don't mind a "slower" scroll amount, try a value of 60.
* If you do not want to use 2-finger scrolling, and just want to do the right click, try even higher like 90. You can disable 2-finger scrolling altogether if you wish.

I can recommend the 'side-scrolling' feature as well (where the right side of the touch pad can be used for scrolling) - I'm beginning to prefer it over two-finger scrolling. The only downside is that the side-scrolling is affected by the 'VertScrollDelta' value.

After editing, reload kernel modules: sudo modprobe -r appletouch && modprobe appletouch

Hope this helps!
Blaine

Blaine (frikker) wrote :

Hey everyone.
  I have been hacking away at appletouch.c for a little while now and have had minor success on various fronts. The reason I am looking at appletouch, not synaptics, is because ideally we want the driver to not 'average' the mouse position when > 2 fingers are being used. Synaptics only gets the scroll x,y position and finger count. It would be tough to "unaverage" out the x,y params in the higher level driver.

  So far I have had success in disabling scrolling altogether, to allow for a fully stable right click. This means that as soon as I put > 1 finger on the track pad, the cursor will not move, allowing a right click functionality. However, the way I implemented it does not allow for any kind of cursor movement, at all, with more than 1 finger on the pad. The side-scrolling feature still works, and in fact this configuration is pretty nice. However, ideally we want 2-finger scrolling.

  My second pseudo-success has come in that I can get 2-finger scrolling to work without jumpiness, but only if the first finger to touch the pad is on "top" of the bottom finger (closer to the keyboard). If the first finger is furthest from the keyboard, however, jumpy behaviour comes back.

  I have a few ideas I'm going to try out today. I'll post back here with success. I see, at a minimum, a patch for people who do not want 2-finger scrolling but DO want 2-finger right clicking.

Blaine

PATCH for stable right click, disables 2-finger scrolling. Edit /etc/hal/fdi/policy/appletouch.fdi and turn on vertical edge scrolling.
/drivers/input/mouse/appletouch.c

620,623c620,629
< x = (dev->x_old * 3 + x) >> 2;
< y = (dev->y_old * 3 + y) >> 2;
< dev->x_old = x;
< dev->y_old = y;
---
> // *** Fixes the right-click instability problem, but disables 2-finger scrolling ***
> if ((max(x_f, y_f)) == 2) {
> x = dev->x_old;
> y = dev->y_old;
> } else {
> x = (dev->x_old * 3 + x) >> 2;
> y = (dev->y_old * 3 + y) >> 2;
> dev->x_old = x;
> dev->y_old = y;
> }

Olafur Arason (olafra) wrote :

This is a very serious problem and still in Lucid.

Changed in xserver-xorg-input-synaptics (Ubuntu):
assignee: nobody → Alberto Milone (albertomilone)

Yeah, my touchpad is borderline unusable compared to our macbook pro with OS
X. I get hand cramps if I use the mouse for more than a few minutes.

Blaine

On Thu, Apr 8, 2010 at 6:49 PM, Olafur Arason <email address hidden> wrote:

> This is a very serious problem and still in Lucid.
>
> ** Changed in: xserver-xorg-input-synaptics (Ubuntu)
> Assignee: (unassigned) => Alberto Milone (albertomilone)
>
> --
> Appletouch touchpad driver produces jumpy two-fingered scrolling
> https://bugs.launchpad.net/bugs/381884
> You received this bug notification because you are a direct subscriber
> of the bug.
>
> Status in The Linux Kernel: New
> Status in Mactel Support: New
> Status in “xserver-xorg-input-synaptics” package in Ubuntu: Confirmed
>
> Bug description:
> Binary package hint: xserver-xorg-input-synaptics
>
> My system is: Linux richard-laptop 2.6.28-11-generic #42-Ubuntu SMP Fri Apr
> 17 01:58:03 UTC 2009 x86_64 GNU/Linux. However, this issue applies to at
> least Intrepid and Jaunty, 32 and 64 bit, running on Apple Mac hardware that
> uses an Appletouch touchpad. It has also been reported in the Gentoo and
> Debian forums.
>
> >From what I can find on the Net, the Appletouch touchpad was first used in
> February 2005 for the G4 aluminium PowerBook, and last used for the Macbook
> Pro in its 3rd generation, then 4th generation Intel Macbook in early 2008.
>
> The issue is with two-fingered scrolling. The Appletouch features the
> ability to detect two (or three) touches. OS X uses this feature to enable
> scrolling, similar to a scrollwheel on a mouse.
>
> The synaptics driver causes the simulated scrollwheel to start moving as
> soon as one places a second finger on the touchpad. That is to say, placing
> a second finger causes the trackpad driver to deliver scrolling signals,
> which means that attempts at vertical scrolling feels jumpy, or over
> sensitive.
>
> There was an update to the OS X driver that fixed this situation for Apple.
> I guess that it detects the second finger and programmatically ignores the
> first few scrollticks, thereby 'deadening' the output. This is what we
> need.
>
> The synaptics driver allows for some modification, but not for multitouch
> input. This needs to be fixed at source code level.
>
> Richard
>
> To unsubscribe from this bug, go to:
> https://bugs.launchpad.net/linux/+bug/381884/+subscribe
>

I cannot confirm this behaviour on the Macbook Pro 5,1 (currently using Kubuntu 9.10/ 64-bit with mactel support). Scrolling with two fingers is smooth here.

Blaine (frikker) wrote :

What if you do the following:
1) Put your left finger on the left half of the trackpad
2) 1 second later, put your right finger on the right half of the track pad

Does this cause a jumping of the cursor? If so, this is what would cause the
scrolling issue. If not, the two-finger scrolling issue may have been
fixed.

The second problem is the smoothing of the cursor over the sensors that are
present in the trackpad by the driver. If you were to put the left side of
your index finger on the trackpad and slowly roll it to the right so that
the right side of your finger touched the trackpad, the mouse should barely
move but in a very smooth way. Currently this isn't exactly what happens
and (at least for me) precision use of the trackpad is next to impossible
and causes my hands to cramp up in about 5 minutes. I have to use a mouse.

Thanks for the feedback!

Blaine

2010/4/13 Νίκος Αλεξανδρής <email address hidden>

> I cannot confirm this behaviour on the Macbook Pro 5,1 (currently using
> Kubuntu 9.10/ 64-bit with mactel support). Scrolling with two fingers is
> smooth here.
>
> --
> Appletouch touchpad driver produces jumpy two-fingered scrolling
> https://bugs.launchpad.net/bugs/381884
> You received this bug notification because you are a direct subscriber
> of the bug.
>
> Status in The Linux Kernel: New
> Status in Mactel Support: New
> Status in "xserver-xorg-input-synaptics" package in Ubuntu: Confirmed
>
> Bug description:
> Binary package hint: xserver-xorg-input-synaptics
>
> My system is: Linux richard-laptop 2.6.28-11-generic #42-Ubuntu SMP Fri Apr
> 17 01:58:03 UTC 2009 x86_64 GNU/Linux. However, this issue applies to at
> least Intrepid and Jaunty, 32 and 64 bit, running on Apple Mac hardware that
> uses an Appletouch touchpad. It has also been reported in the Gentoo and
> Debian forums.
>
> >From what I can find on the Net, the Appletouch touchpad was first used in
> February 2005 for the G4 aluminium PowerBook, and last used for the Macbook
> Pro in its 3rd generation, then 4th generation Intel Macbook in early 2008.
>
> The issue is with two-fingered scrolling. The Appletouch features the
> ability to detect two (or three) touches. OS X uses this feature to enable
> scrolling, similar to a scrollwheel on a mouse.
>
> The synaptics driver causes the simulated scrollwheel to start moving as
> soon as one places a second finger on the touchpad. That is to say, placing
> a second finger causes the trackpad driver to deliver scrolling signals,
> which means that attempts at vertical scrolling feels jumpy, or over
> sensitive.
>
> There was an update to the OS X driver that fixed this situation for Apple.
> I guess that it detects the second finger and programmatically ignores the
> first few scrollticks, thereby 'deadening' the output. This is what we
> need.
>
> The synaptics driver allows for some modification, but not for multitouch
> input. This needs to be fixed at source code level.
>
> Richard
>
> To unsubscribe from this bug, go to:
> https://bugs.launchpad.net/linux/+bug/381884/+subscribe
>

@Blaine:

Here some facts (tested on firefox, konqueror, dolphin in my Kubuntu box):

+ no jumping cursor at all
- indeed sometimes scrolling in dolphin and konqueror feels a bit fast (but it only starts scrolling when I want it)
-/+ in firefox I have "smooth scrolling" enabled and is fine
+ rolling finger is precise and feels smooth here

Regards, Nikos

Blaine (frikker) wrote :
Download full text (3.4 KiB)

That is great! I'm on an old 2-1 macbook (2006). This is good news as it
means that the functionality I am wanting exists in the driver but is not
being executed for my trackpad. The driver currently branches depending on
what kind of trackpad it detects (different versions for different
powerbooks, ibooks, macbooks, etc), and it appears that your Macbook Pro 5,1
branch has the bugs worked out.

The only other issue I could ask for a test of is this:
1) Put your finger in the middle-top of the touchpad with very light
pressure (as little surface contact as possible)
2) Slowly move finger down towards bottom of the pad

With my hardardware and driver, I can watch my cursor "jump" to every inch
or so on my screen in a very non-smooth fashion. This is because my driver
is not appropriately weighting the inputs from each of my 16 touchpad
sensors. I hope that makes sense. I only noticed it when trying my wife's
macbook pro (running OS X) and being amazed at how smooth, sensitive, and
non-frustrating the trackpad experience was.

Blaine

2010/4/13 Νίκος Αλεξανδρής <email address hidden>

> @Blaine:
>
> Here some facts (tested on firefox, konqueror, dolphin in my Kubuntu
> box):
>
> + no jumping cursor at all
> - indeed sometimes scrolling in dolphin and konqueror feels a bit fast (but
> it only starts scrolling when I want it)
> -/+ in firefox I have "smooth scrolling" enabled and is fine
> + rolling finger is precise and feels smooth here
>
> Regards, Nikos
>
> --
> Appletouch touchpad driver produces jumpy two-fingered scrolling
> https://bugs.launchpad.net/bugs/381884
> You received this bug notification because you are a direct subscriber
> of the bug.
>
> Status in The Linux Kernel: New
> Status in Mactel Support: New
> Status in "xserver-xorg-input-synaptics" package in Ubuntu: Confirmed
>
> Bug description:
> Binary package hint: xserver-xorg-input-synaptics
>
> My system is: Linux richard-laptop 2.6.28-11-generic #42-Ubuntu SMP Fri Apr
> 17 01:58:03 UTC 2009 x86_64 GNU/Linux. However, this issue applies to at
> least Intrepid and Jaunty, 32 and 64 bit, running on Apple Mac hardware that
> uses an Appletouch touchpad. It has also been reported in the Gentoo and
> Debian forums.
>
> >From what I can find on the Net, the Appletouch touchpad was first used in
> February 2005 for the G4 aluminium PowerBook, and last used for the Macbook
> Pro in its 3rd generation, then 4th generation Intel Macbook in early 2008.
>
> The issue is with two-fingered scrolling. The Appletouch features the
> ability to detect two (or three) touches. OS X uses this feature to enable
> scrolling, similar to a scrollwheel on a mouse.
>
> The synaptics driver causes the simulated scrollwheel to start moving as
> soon as one places a second finger on the touchpad. That is to say, placing
> a second finger causes the trackpad driver to deliver scrolling signals,
> which means that attempts at vertical scrolling feels jumpy, or over
> sensitive.
>
> There was an update to the OS X driver that fixed this situation for Apple.
> I guess that it detects the second finger and programmatically ignores the
> first few scrollticks, thereby 'deadenin...

Read more...

Hmmm... I can confirm that the cursor, when beginning from the middle-top towards the center of the trackpad, jumps about a cm or so _once_ and continues to "fly" down smoothly. You are right.

Download full text (3.3 KiB)

Hi, in fact, the Multitouch feature works perfect in the MacBook Pro 5.3,
the only problem than I saw is that the applications don't have support for
this feature.

For example. the Compiz Setting Manager, don't have a section or the chance
to make that some actions can be assigned to 2, 3 or 4 fingers gestures.

May be we can create the "idea" in the brainstorm, then contact the Team
that work with Compiz, and ask they for add this idea as features.

What do you think?

2010/4/13 Νίκος Αλεξανδρής <email address hidden>

> Hmmm... I can confirm that the cursor, when beginning from the middle-
> top towards the center of the trackpad, jumps about a cm or so _once_
> and continues to "fly" down smoothly. You are right.
>
> --
> Appletouch touchpad driver produces jumpy two-fingered scrolling
> https://bugs.launchpad.net/bugs/381884
> You received this bug notification because you are a member of Mactel
> Support, which is a direct subscriber.
>
> Status in The Linux Kernel: New
> Status in Mactel Support: New
> Status in “xserver-xorg-input-synaptics” package in Ubuntu: Confirmed
>
> Bug description:
> Binary package hint: xserver-xorg-input-synaptics
>
> My system is: Linux richard-laptop 2.6.28-11-generic #42-Ubuntu SMP Fri Apr
> 17 01:58:03 UTC 2009 x86_64 GNU/Linux. However, this issue applies to at
> least Intrepid and Jaunty, 32 and 64 bit, running on Apple Mac hardware that
> uses an Appletouch touchpad. It has also been reported in the Gentoo and
> Debian forums.
>
> >From what I can find on the Net, the Appletouch touchpad was first used in
> February 2005 for the G4 aluminium PowerBook, and last used for the Macbook
> Pro in its 3rd generation, then 4th generation Intel Macbook in early 2008.
>
> The issue is with two-fingered scrolling. The Appletouch features the
> ability to detect two (or three) touches. OS X uses this feature to enable
> scrolling, similar to a scrollwheel on a mouse.
>
> The synaptics driver causes the simulated scrollwheel to start moving as
> soon as one places a second finger on the touchpad. That is to say, placing
> a second finger causes the trackpad driver to deliver scrolling signals,
> which means that attempts at vertical scrolling feels jumpy, or over
> sensitive.
>
> There was an update to the OS X driver that fixed this situation for Apple.
> I guess that it detects the second finger and programmatically ignores the
> first few scrollticks, thereby 'deadening' the output. This is what we
> need.
>
> The synaptics driver allows for some modification, but not for multitouch
> input. This needs to be fixed at source code level.
>
> Richard
>
>
>
> _______________________________________________
> Mailing list: https://launchpad.net/~mactel-support
> Post to : <email address hidden>
> Unsubscribe : https://launchpad.net/~mactel-support
> More help : https://help.launchpad.net/ListHelp
>

--
Saludos Fraternos Ubunteros!
__________________________________
"No pases la vida trabajando para tu computador,...
...haz que tu computador trabaje para ti, usa GNU/LINUX"
__________________________________
Rolando F. Blanco C:. (Ubuntu Member)
User: 399645 (GNU) Ubunt...

Read more...

hanzomon4 (hanzomon4) wrote :

Correct me if I'm wrong but multitouch pads use a different driver then the
older ones. I know that my old 3.1 pro jumps all over the place when two
fingers are placed on it, unless its precisely at the same time

On Apr 13, 2010 8:45 PM, "Rolando F. Blanco C:." <email address hidden> wrote:

Hi, in fact, the Multitouch feature works perfect in the MacBook Pro 5.3,
the only problem than I saw is that the applications don't have support for
this feature.

For example. the Compiz Setting Manager, don't have a section or the chance
to make that some actions can be assigned to 2, 3 or 4 fingers gestures.

May be we can create the "idea" in the brainstorm, then contact the Team
that work with Compiz, and ask they for add this idea as features.

What do you think?

2010/4/13 Νίκος Αλεξανδρής <email address hidden>

> Hmmm... I can confirm that the cursor, when beginning from the middle-
> top towards the center of...
> You received this bug notification because you are a member of Mactel
> Support, which is a direct subscriber.

>
> Status in The Linux Kernel: New
> Status in Mactel Support: New
> Status in “xserver-xorg-input-...
> _______________________________________________
> Mailing list: https://launchpad.net/~mactel-support
> Post to : <email address hidden>
> Unsubscribe : https://launchpad.net/~mactel-support
> More help : https://help.launchpad.net/ListHelp
>

--
Saludos Fraternos Ubunteros!
__________________________________
"No pases la vida trabajando para tu computador,...
...haz que tu computador trabaje para ti, usa GNU/LINUX"
__________________________________
Rolando F. Blanco C:. (Ubuntu Member)
User: 399645 (GNU) Ubuntu: 3715
http://www.blanco.net.ve/
Ubuntu 10.04 (Lucid Lynx) ß2
Phone:+1 (305) 741-3050
__________________________________
ubuntu | ウブントゥ | اُبونتو | उबुन्तु |

--
Appletouch touchpad driver produces jumpy two-fingered scrolling
https://bugs.launchpad.net/bug...

Blaine (frikker) wrote :

I'm not sure about this. I know that the synaptic driver can use multiple
hardware drivers. In my system, I am using "appletouch.c" which I believe
has support for all modern macbook, macbook pros, powerbooks, and ibooks.
There are branchings (if statements) in the driver that execute different
buffer reading procedures depending on how the trackpad identifies itself.

There may be an intermediate driver that could be different though. That
would make sense as to why the two finger jumpiness is not present with all
macbooks.

Thanks Nikos for testing out the jumpy cursor thing. Someone with a bit
more experience with reading trackpad input could give some insight into the
best way to read sensory data. Right now I think it is just a linear
weighting (ie every sensor has equal weight) but I think that the "primary"
sensor that your finger is connecting with should have a higher weighting so
that the cursor doesn't jump around as much... but even that doesn't exactly
seem right.

Blaine

On Tue, Apr 13, 2010 at 10:36 PM, hanzomon4 <email address hidden> wrote:

> Correct me if I'm wrong but multitouch pads use a different driver then the
> older ones. I know that my old 3.1 pro jumps all over the place when two
> fingers are placed on it, unless its precisely at the same time
>

Ricky Campbell (cyberdork33) wrote :

I believe that Macbook Pro 4,1 and newer use newer hardware and thus have a different kernel module (bcm5974). This newer hardware make up the "multitouch" touchpads (i.e. can track something like 11 different independent touches all at once). Older hardware uses the appletouch driver can detect whether there is more than one finger on the touchpad, but do not track position data independently.

Both of these hardware types (and their kernel drivers) feed data to Xorg through the synaptic driver.

Code repos for the newer drivers can be found here:
http://bitmath.org/code/

Some more details:

+ jumping does not occur from bottom to top
- jumping does occur from diagonal top-left, as well as from the diagonal bottom-left, towards the center of the pad.

Ahhh, that makes so much sense. Thanks for the input Ricky. It would be
helpful to look at bcm5974 to see what the deal is.

Blaine

On Wed, Apr 14, 2010 at 9:04 AM, Ricky Campbell <email address hidden>wrote:

> I believe that Macbook Pro 4,1 and newer use newer hardware and thus
> have a different kernel module (bcm5974). This newer hardware make up
> the "multitouch" touchpads (i.e. can track something like 11 different
> independent touches all at once). Older hardware uses the appletouch
> driver can detect whether there is more than one finger on the touchpad,
> but do not track position data independently.
>
> Both of these hardware types (and their kernel drivers) feed data to
> Xorg through the synaptic driver.
>
> Code repos for the newer drivers can be found here:
> http://bitmath.org/code/
>
> --
> Appletouch touchpad driver produces jumpy two-fingered scrolling
> https://bugs.launchpad.net/bugs/381884
> You received this bug notification because you are a direct subscriber
> of the bug.
>
> Status in The Linux Kernel: New
> Status in Mactel Support: New
> Status in “xserver-xorg-input-synaptics” package in Ubuntu: Confirmed
>
> Bug description:
> Binary package hint: xserver-xorg-input-synaptics
>
> My system is: Linux richard-laptop 2.6.28-11-generic #42-Ubuntu SMP Fri Apr
> 17 01:58:03 UTC 2009 x86_64 GNU/Linux. However, this issue applies to at
> least Intrepid and Jaunty, 32 and 64 bit, running on Apple Mac hardware that
> uses an Appletouch touchpad. It has also been reported in the Gentoo and
> Debian forums.
>
> >From what I can find on the Net, the Appletouch touchpad was first used in
> February 2005 for the G4 aluminium PowerBook, and last used for the Macbook
> Pro in its 3rd generation, then 4th generation Intel Macbook in early 2008.
>
> The issue is with two-fingered scrolling. The Appletouch features the
> ability to detect two (or three) touches. OS X uses this feature to enable
> scrolling, similar to a scrollwheel on a mouse.
>
> The synaptics driver causes the simulated scrollwheel to start moving as
> soon as one places a second finger on the touchpad. That is to say, placing
> a second finger causes the trackpad driver to deliver scrolling signals,
> which means that attempts at vertical scrolling feels jumpy, or over
> sensitive.
>
> There was an update to the OS X driver that fixed this situation for Apple.
> I guess that it detects the second finger and programmatically ignores the
> first few scrollticks, thereby 'deadening' the output. This is what we
> need.
>
> The synaptics driver allows for some modification, but not for multitouch
> input. This needs to be fixed at source code level.
>
> Richard
>
> To unsubscribe from this bug, go to:
> https://bugs.launchpad.net/linux/+bug/381884/+subscribe
>

jack fleming (jackflem) wrote :

I just installed Lucid on my macbook 4,1 and have this issue with 2 finger scrolling. To annoying to use it with this bug, a real shame since everything else works as expected.

Is there any status updates on a fix. I am willing to test things if needed.

Jack

Blaine (frikker) wrote :

Sorry, nothing has changed. I think we'd need someone with more experience
with weighting touchpad sensor values. The current algorithm just isn't
working right. Either this is only a very specific problem to only a few
hardware configurations OR I'm just so used to smooth apple trackpad in OS X
that I'm spoiled...

Blaine

On Thu, Jul 15, 2010 at 1:47 PM, jack fleming <email address hidden>wrote:

> I just installed Lucid on my macbook 4,1 and have this issue with 2
> finger scrolling. To annoying to use it with this bug, a real shame
> since everything else works as expected.
>
> Is there any status updates on a fix. I am willing to test things if
> needed.
>
> Jack
>
> --
> Appletouch touchpad driver produces jumpy two-fingered scrolling
> https://bugs.launchpad.net/bugs/381884
> You received this bug notification because you are a direct subscriber
> of the bug.
>
> Status in The Linux Kernel: New
> Status in Mactel Support: New
> Status in “xserver-xorg-input-synaptics” package in Ubuntu: Confirmed
>
> Bug description:
> Binary package hint: xserver-xorg-input-synaptics
>
> My system is: Linux richard-laptop 2.6.28-11-generic #42-Ubuntu SMP Fri Apr
> 17 01:58:03 UTC 2009 x86_64 GNU/Linux. However, this issue applies to at
> least Intrepid and Jaunty, 32 and 64 bit, running on Apple Mac hardware that
> uses an Appletouch touchpad. It has also been reported in the Gentoo and
> Debian forums.
>
> >From what I can find on the Net, the Appletouch touchpad was first used in
> February 2005 for the G4 aluminium PowerBook, and last used for the Macbook
> Pro in its 3rd generation, then 4th generation Intel Macbook in early 2008.
>
> The issue is with two-fingered scrolling. The Appletouch features the
> ability to detect two (or three) touches. OS X uses this feature to enable
> scrolling, similar to a scrollwheel on a mouse.
>
> The synaptics driver causes the simulated scrollwheel to start moving as
> soon as one places a second finger on the touchpad. That is to say, placing
> a second finger causes the trackpad driver to deliver scrolling signals,
> which means that attempts at vertical scrolling feels jumpy, or over
> sensitive.
>
> There was an update to the OS X driver that fixed this situation for Apple.
> I guess that it detects the second finger and programmatically ignores the
> first few scrollticks, thereby 'deadening' the output. This is what we
> need.
>
> The synaptics driver allows for some modification, but not for multitouch
> input. This needs to be fixed at source code level.
>
> Richard
>
> To unsubscribe from this bug, go to:
> https://bugs.launchpad.net/linux/+bug/381884/+subscribe
>

jack fleming (jackflem) wrote :

Thanks for the quick update. Hope someone can figure it out.
On my macbook what happens is once one finger is on the pad it will still react with movement when the second finger is put onto the pad or taken off the pad. So unless you place both on and off together you get the jumping movement. When under OS X this does not happen.

Jack

Gursimran singh (simar) on 2010-08-21
Changed in xserver-xorg-input-synaptics (Ubuntu):
importance: Undecided → Low
Ricardo Pereira (rikpereira) wrote :

Same as @Blaine.
Some news?

R.P.

Anthony Burns (a5y) wrote :

I'm experiencing similar jumpiness.

Running 10.04 Lucid Linux (as is jack fleming) on a Macbook 2,1 (he has newer hardware).

Does that mean it can be confirmed for Lucid Lynx too? (Ubuntu newbie)

@Anthony: Thanks for the input. It has been completely confirmed. It's now up to a brave developer to get his/her hands dirty and fix up the problems.

Oh, by the way, this is still in effect for Natty.

Matthew Hielscher (mhielscher) wrote :

This bug is still in effect in Xubuntu 12.04, xserver-xorg-input-synaptics 1.6.0-0ubuntu1-precise1 on my MacBook1,1. Placing a second finger on the trackpad causes immediate scrolling to the right and up - where my second finger is relative to the first. Removing that finger causes the cursor to move down and to the left.

Changed in xserver-xorg-input-synaptics (Ubuntu):
assignee: Alberto Milone (albertomilone) → nobody
no longer affects: xserver-xorg-input-synaptics (Ubuntu)
Launchpad Janitor (janitor) wrote :

Status changed to 'Confirmed' because the bug affects multiple users.

Richard Cavell, this bug was reported a while ago and there hasn't been any activity in it recently. We were wondering if this is still an issue? If so, could you please test for this with the latest development release of Ubuntu? ISO images are available from http://cdimage.ubuntu.com/daily-live/current/ .

If it remains an issue, could you please run the following command in the development release from a Terminal (Applications->Accessories->Terminal), as it will automatically gather and attach updated debug information to this report:

apport-collect -p xserver-xorg-input-synaptics REPLACE-WITH-BUG-NUMBER

Please note, given that the information from the prior release is already available, doing this on a release prior to the development one would not be helpful.

Thank you for your understanding.

Helpful bug reporting tips:
https://wiki.ubuntu.com/ReportingBugs

Changed in xserver-xorg-input-synaptics (Ubuntu):
status: New → Confirmed
affects: linux → xserver-xorg-input-synaptics (Ubuntu)
Changed in xserver-xorg-input-synaptics (Ubuntu):
status: New → Incomplete
importance: Undecided → Low
Download full text (3.4 KiB)

I think most people (at least myself) have moved beyond a mactel with
linux, which may explain inactivity. I still think it's an outstanding
issue, but I have no way of testing it.

Blaine

On Thu, Jan 9, 2014 at 6:01 PM, Christopher M. Penalver <
<email address hidden>> wrote:

> Richard Cavell, this bug was reported a while ago and there hasn't been
> any activity in it recently. We were wondering if this is still an
> issue? If so, could you please test for this with the latest development
> release of Ubuntu? ISO images are available from
> http://cdimage.ubuntu.com/daily-live/current/ .
>
> If it remains an issue, could you please run the following command in
> the development release from a Terminal
> (Applications->Accessories->Terminal), as it will automatically gather
> and attach updated debug information to this report:
>
> apport-collect -p xserver-xorg-input-synaptics REPLACE-WITH-BUG-NUMBER
>
> Please note, given that the information from the prior release is
> already available, doing this on a release prior to the development one
> would not be helpful.
>
> Thank you for your understanding.
>
> Helpful bug reporting tips:
> https://wiki.ubuntu.com/ReportingBugs
>
> ** Project changed: linux => xserver-xorg-input-synaptics (Ubuntu)
>
> ** Changed in: xserver-xorg-input-synaptics (Ubuntu)
> Status: New => Incomplete
>
> ** Changed in: xserver-xorg-input-synaptics (Ubuntu)
> Importance: Undecided => Low
>
> --
> You received this bug notification because you are subscribed to the bug
> report.
> https://bugs.launchpad.net/bugs/381884
>
> Title:
> Appletouch touchpad driver produces jumpy two-fingered scrolling
>
> Status in Mactel Support:
> New
> Status in “xserver-xorg-input-synaptics” package in Ubuntu:
> Incomplete
>
> Bug description:
> Binary package hint: xserver-xorg-input-synaptics
>
> My system is: Linux richard-laptop 2.6.28-11-generic #42-Ubuntu SMP
> Fri Apr 17 01:58:03 UTC 2009 x86_64 GNU/Linux. However, this issue
> applies to at least Intrepid and Jaunty, 32 and 64 bit, running on
> Apple Mac hardware that uses an Appletouch touchpad. It has also been
> reported in the Gentoo and Debian forums.
>
> From what I can find on the Net, the Appletouch touchpad was first
> used in February 2005 for the G4 aluminium PowerBook, and last used
> for the Macbook Pro in its 3rd generation, then 4th generation Intel
> Macbook in early 2008.
>
> The issue is with two-fingered scrolling. The Appletouch features the
> ability to detect two (or three) touches. OS X uses this feature to
> enable scrolling, similar to a scrollwheel on a mouse.
>
> The synaptics driver causes the simulated scrollwheel to start moving
> as soon as one places a second finger on the touchpad. That is to
> say, placing a second finger causes the trackpad driver to deliver
> scrolling signals, which means that attempts at vertical scrolling
> feels jumpy, or over sensitive.
>
> There was an update to the OS X driver that fixed this situation for
> Apple. I guess that it detects the second finger and programmatically
> ignores the first few scrollticks, thereby 'deadening' the output...

Read more...

Clinton (sprc) wrote :

Issue still exists in appletouch as of 3.13 RC 7.

Changed in xserver-xorg-input-synaptics (Ubuntu):
assignee: nobody → Clinton (cssprain)
status: Incomplete → Confirmed

Clinton, thank you for your comment. So your hardware and problem may be tracked, could you please file a new report by executing the following in a terminal:
ubuntu-bug xorg

For more on this, please see the official Ubuntu documentation:
Ubuntu X.Org Team, Ubuntu Bug Control, and Ubuntu Bug Squad: https://wiki.ubuntu.com/Bugs/BestPractices#X.2BAC8-Reporting.Focus_on_One_Issue
Ubuntu Community: https://help.ubuntu.com/community/ReportingBugs#Bug_reporting_etiquette

When opening up the new report, please feel free to subscribe me to it.

Please note, not filing a new report will delay your problem being addressed as quickly as possible.

Thank you for your understanding.

Changed in xserver-xorg-input-synaptics (Ubuntu):
assignee: Clinton (cssprain) → nobody
status: Confirmed → Incomplete
Clinton (sprc) wrote :

The attached patch doesn't completely eliminate the issue but should help quite a bit.

stayros (lsuzex3) on 2016-02-03
Changed in mactel-support:
status: New → Incomplete
status: Incomplete → Confirmed
status: Confirmed → Fix Committed
stayros (lsuzex3) on 2016-02-03
Changed in mactel-support:
assignee: nobody → mstayros (lsuzex3)

The attachment "appletouch-smoothness.patch" seems to be a patch. If it isn't, please remove the "patch" flag from the attachment, remove the "patch" tag, and if you are a member of the ~ubuntu-reviewers, unsubscribe the team.

[This is an automated message performed by a Launchpad user owned by ~brian-murray, for any issues please contact him.]

tags: added: patch
Clinton (sprc) wrote :

This patch has been mainlined as of 3.15. We should be able to close this.

To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers